# $Revision: 1.16 $, $Date: 2009/05/27 19:56:40 $
#
# TODO:
# Build without no_phonon.patch (fix qt4.spec)
#
%define		qt_ver	4.5.0

Summary:	QtScript Qt Bindings
Name:		qtscriptgenerator
Version:	0.1.0
Release:	2
License:	GPL v2
Group:		X11/Applications
Source0:	http://qtscriptgenerator.googlecode.com/files/%{name}-src-%{version}.tar.gz
# Source0-md5:	ca4046ad4bda36cd4e21649d4b98886d
Patch0:		%{name}-qthreadpool.patch
Patch1:		%{name}-no_phonon.patch
Patch2:		%{name}-include.patch
URL:		http://code.google.com/p/qtscriptgenerator/
BuildRequires:	QtCore-devel
BuildRequires:	QtGui-devel
BuildRequires:	QtNetwork-devel
BuildRequires:	QtOpenGL-devel
BuildRequires:	QtScript-devel
BuildRequires:	QtScriptTools-devel
BuildRequires:	QtSql-devel
BuildRequires:	QtSvg-devel
BuildRequires:	QtUiTools-devel
BuildRequires:	QtWebKit-devel
BuildRequires:	QtXml-devel
BuildRequires:	QtXmlPatterns-devel
BuildRequires:	qt4-build >= 4.3.3-3
BuildRequires:	qt4-qmake >= 4.3.3-3
BuildRequires:	rpmbuild(macros) >= 1.129
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Qt Script Generator is a tool that generates Qt bindings for Qt
Script.

%package -n qtscriptbindings
Summary:	Qt bindings for Qt Script
Group:		Libraries

%description -n qtscriptbindings
Binndings providing access to substantial portions of the Qt API from
within Qt Script.

%prep
%setup -q -n %{name}-src-%{version}
%patch0 -p0
%patch1 -p1
%patch2 -p1

%build
export QTDIR="%{_libdir}/qt4"
export INCLUDE="%{_includedir}/qt4"

for dir in generator qtbindings tools/qsexec/src; do
	cd $dir
	qmake-qt4
	%{__make}
	test "$dir" == "generator" && ./generator
	cd -
done

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_libdir}/qt4/plugins/script/,%{_libdir}/qt4/bin}

# install doesn't do symlinks
cp -a plugins/script/libqtscript* \
  $RPM_BUILD_ROOT%{_libdir}/qt4/plugins/script/

install tools/qsexec/README.TXT README.qsexec
install tools/qsexec/qsexec $RPM_BUILD_ROOT%{_bindir}/qsexec
install generator/generator $RPM_BUILD_ROOT%{_libdir}/qt4/bin/generator

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{_libdir}/qt4/bin/generator

%files -n qtscriptbindings
%defattr(644,root,root,755)
%doc README README.qsexec doc/ examples/
%attr(755,root,root) %{_bindir}/qsexec
%{_libdir}/qt4/plugins/script/libqtscript*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: qtscriptgenerator.spec,v $
Revision 1.16  2009/05/27 19:56:40  paszczus
- added qtscriptgenerator-include.patch ; rel 2

Revision 1.15  2009/04/15 16:12:15  paszczus
- rel 1 (TODO added)

Revision 1.14  2009/04/15 13:23:19  shadzik
- automize %build a little bit

Revision 1.13  2009/04/15 08:35:16  paszczus
- removed R: qt4 from qtscriptbindigs

Revision 1.12  2009/04/15 08:33:36  paszczus
- added BRs: QtXmlPatterns-devel, QtOpenGL-devel, QtUiTools-devel
- build qsexec too

Revision 1.11  2009/04/15 07:57:12  paszczus
- typos

Revision 1.10  2009/04/15 07:49:30  paszczus
- fixed %install and %files

Revision 1.9  2009/04/15 07:33:27  paszczus
- BR: QtScriptTools-devel

Revision 1.8  2009/04/15 07:26:02  paszczus
- added Patch1: -no_phonon.patch
- separeted qtscriptbindings
- cleanups

Revision 1.7  2009/04/14 20:48:58  paszczus
- BR: QtSvg-devel; adaptarized

Revision 1.6  2009/04/14 20:35:59  paszczus
- BR: QtSql-devel,QtWebKit-devel

Revision 1.5  2009/04/14 20:31:00  vip
- apply QThreadPool patch

Revision 1.4  2009/04/14 19:44:20  paszczus
- BR: QtNetwork-devel

Revision 1.3  2009/04/14 19:40:19  vip
- hack to allow generating all qt classes

Revision 1.2  2009/04/14 14:03:57  paszczus
- added BRs: QtGui-devel,QtScript-devel,QtXml-devel

Revision 1.1  2009/04/14 10:58:37  paszczus
- initial
